Topic locked

Platforms

February 10, 2014 - 11:56pm #1

Hi,

 

In the libs, there are the vuforia.so for ARM, but nothing for x86.

Is it just missing ? Or not supported ?

 

Thanks !

Platforms

April 3, 2014 - 5:32am #4

Hi,

please feel free to post a request for x86 support in the Forum Wish-List thread here:

https://developer.vuforia.com/forum/general-discussion/wish-list

so that your request can be tracked and gets the right visibility for future consideration.

Thank you.

Platforms

April 1, 2014 - 10:53pm #3

I just created an account and downloaded the SDK and I noticed that only armeabi-v7a native libraries are included. This seems like an enormous problem. To say that the Vuforia SDK supports Android seems incorrect given that Google themselves have been certifying non-ARM devices for years now. A more correct statement would be the Vuforia runs on a subset of devices that are powered by Android; it doesn't support Android as such. At the time of writing we're up to Android API 19 (i.e. KitKat 4.4). Android has had support for x86 and MIPS processors as far back as API 9 (i.e. Gingerbread 2.3).

Perhaps even more pressing than the lack of x86 support, the current libraries are in a directory entitled "armeabi-v7a". I'm hoping the "-v7a" suffix is incorrect, because that further limits the number of supported devices. The Android NDK targets "arm-v5te" by default, and that is because there are still plenty of devices out there running ARMv6 etc. Vuforia will not run on those devices. Admittedly, supporting ARM < v7A is not likely to be a huge issue for me, as the application I'm using Vuforia for targets Android 4.0.3+. However, anybody targetting Android 2.3 with the intent of supporting as many devices as possible is largely wasting their time if they're using Vuforia.

Platforms

February 11, 2014 - 12:34am #2

Vuforia 2.8.7 supports Arm v7;

x86 is not supported.

 

Topic locked